> For the complete documentation index, see [llms.txt](https://docs-rpc.crypto-chief.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-rpc.crypto-chief.com/chains/ethereum-beacon/methods-supported.md).

# Methods supported

**Beacon**:

* [`GET /eth/v1/beacon/genesis`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-genesis) — retrieves the details of the chain's genesis.
* [`GET /eth/v1/beacon/states/{state_id}/root`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-root) — retrieves the state SSZ HashTreeRoot.
* [`GET /eth/v1/beacon/states/{state_id}/fork`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-fork) — retrieves the Fork object for a requested state.
* [`GET /eth/v1/beacon/states/{state_id}/finality_checkpoints`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-finality_checkpoints) — retrieves state finality checkpoints.
* [`GET /eth/v1/beacon/states/{state_id}/validators`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-validators) — retrieves validators from state.
* [`POST /eth/v1/beacon/states/{state_id}/validators`](/chains/ethereum-beacon/beacon.md#post-eth-v1-beacon-states-state_id-validators) — retrieves validators from state.
* [`GET /eth/v1/beacon/states/{state_id}/validators/{validator_id}`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-validators-validator_id) — retrieves the validator from state by ID.
* [`GET /eth/v1/beacon/states/{state_id}/validator_balances`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-validator_balances) — retrieves validator balances from state.
* [`GET /eth/v1/beacon/states/{state_id}/committees`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-committees) — retrieves all committees for a state.
* [`GET /eth/v1/beacon/states/{state_id}/sync_committees`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-sync_committees) — retrieves sync committees for a state.
* [`GET /eth/v1/beacon/headers`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-headers) — retrieves block headers.
* [`GET /eth/v1/beacon/headers/{block_id}`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-headers-block_id) — retrieves a block header.
* [`POST /eth/v1/beacon/blocks`](/chains/ethereum-beacon/beacon-part-2.md#post-eth-v1-beacon-blocks) — publishes a signed block.
* [`POST /eth/v1/beacon/blinded_blocks`](/chains/ethereum-beacon/beacon.md#post-eth-v1-beacon-blinded_blocks) — publishes a signed block.
* [`GET /eth/v2/beacon/blocks/{block_id}`](/chains/ethereum-beacon/beacon-part-3.md#get-eth-v2-beacon-blocks-block_id) — retrieves a block.
* [`GET /eth/v1/beacon/blocks/{block_id}/root`](/chains/ethereum-beacon/beacon-part-3.md#get-eth-v1-beacon-blocks-block_id-root) — retrieves a block root.
* [`GET /eth/v1/beacon/blocks/{block_id}/attestations`](/chains/ethereum-beacon/beacon-part-3.md#get-eth-v1-beacon-blocks-block_id-attestations) — retrieves block attestations.
* [`GET /eth/v1/beacon/pool/attestations`](/chains/ethereum-beacon/beacon-part-4.md#get-eth-v1-beacon-pool-attestations) — retrieves attestations from the operations pool.
* [`POST /eth/v1/beacon/pool/attestations`](/chains/ethereum-beacon/beacon-part-4.md#post-eth-v1-beacon-pool-attestations) — submits attestation objects to the node.
* [`GET /eth/v1/beacon/pool/attester_slashings`](/chains/ethereum-beacon/beacon-part-4.md#get-eth-v1-beacon-pool-attester_slashings) — retrieves attester slashings from the operations pool.
* [`POST /eth/v1/beacon/pool/attester_slashings`](/chains/ethereum-beacon/beacon-part-4.md#post-eth-v1-beacon-pool-attester_slashings) — submits the AttesterSlashing object to the node's pool.
* [`GET /eth/v1/beacon/pool/proposer_slashings`](/chains/ethereum-beacon/beacon-part-5.md#get-eth-v1-beacon-pool-proposer_slashings) — retrieves proposer slashings from the operations pool.
* [`POST /eth/v1/beacon/pool/proposer_slashings`](/chains/ethereum-beacon/beacon-part-5.md#post-eth-v1-beacon-pool-proposer_slashings) — submits the ProposerSlashing object to the node's pool.
* [`POST /eth/v1/beacon/pool/sync_committees`](/chains/ethereum-beacon/beacon-part-5.md#post-eth-v1-beacon-pool-sync_committees) — submits sync committee signatures to the node.
* [`GET /eth/v1/beacon/pool/voluntary_exits`](/chains/ethereum-beacon/beacon-part-5.md#get-eth-v1-beacon-pool-voluntary_exits) — retrieves SignedVoluntaryExit from the operations pool.
* [`POST /eth/v1/beacon/pool/voluntary_exits`](/chains/ethereum-beacon/beacon-part-5.md#post-eth-v1-beacon-pool-voluntary_exits) — submits the SignedVoluntaryExit object to the node's pool.

**Builder**:

* [`GET /eth/v1/builder/states/{state_id}/expected_withdrawals`](/chains/ethereum-beacon/builder.md#get-eth-v1-builder-states-state_id-expected_withdrawals) — retrieves the withdrawals that are to be included for the block built on the specified state.

**Config**:

* [`GET /eth/v1/config/fork_schedule`](/chains/ethereum-beacon/builder.md#get-eth-v1-config-fork_schedule) — retrieves scheduled upcoming forks.
* [`GET /eth/v1/config/spec`](/chains/ethereum-beacon/builder.md#get-eth-v1-config-spec) — retrieves spec parameters.
* [`GET /eth/v1/config/deposit_contract`](/chains/ethereum-beacon/builder.md#get-eth-v1-config-deposit_contract) — retrieves a deposit contract address.

**Debug**:

* [`GET /eth/v2/debug/beacon/states/{state_id}`](/chains/ethereum-beacon/builder.md#get-eth-v2-debug-beacon-states-state_id) — retrieves the full BeaconState object.
* [`GET /eth/v2/debug/beacon/heads`](/chains/ethereum-beacon/builder.md#get-eth-v2-debug-beacon-heads) — retrieves fork choice leaves.
* [`GET /eth/v1/debug/fork_choice`](/chains/ethereum-beacon/builder.md#get-eth-v1-debug-fork_choice) — retrieves fork choice array.

**Events**:

* [`GET /eth/v1/events`](/chains/ethereum-beacon/builder.md#get-eth-v1-events) — subscribes to Beacon node events.

**Node**:

* [`GET /eth/v1/node/identity`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-identity) — retrieves node network identity.
* [`GET /eth/v1/node/peers`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-peers) — retrieves node network peers.
* [`GET /eth/v1/node/peers/{peer_id}`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-peers-peer_id) — retrieves a peer.
* [`GET /eth/v1/node/peer_count`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-peer_count) — retrieves peer count.
* [`GET /eth/v1/node/version`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-version) — retrieves a version string of the running Beacon node.
* [`GET /eth/v1/node/syncing`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-syncing) — retrieves a node syncing status.
* [`GET /eth/v1/node/health`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-health) — retrieves health check.

**Validator**:

* [`POST /eth/v1/validator/duties/attester/{epoch}`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-duties-attester-epoch) — retrieves attester duties.
* [`GET /eth/v1/validator/duties/proposer/{epoch}`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-duties-proposer-epoch) — retrieves block proposer duties.
* [`POST /eth/v1/validator/duties/sync/{epoch}`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-duties-sync-epoch) — retrieves sync committee duties.
* [`GET /eth/v3/validator/blocks/{slot}`](/chains/ethereum-beacon/validator.md#get-eth-v3-validator-blocks-slot) — produces a new block, without signature.
* [`GET /eth/v1/validator/attestation_data`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-attestation_data) — produces attestation data.
* [`GET /eth/v1/validator/aggregate_attestation`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-aggregate_attestation) — retrieves aggregated attestation.
* [`POST /eth/v1/validator/aggregate_and_proofs`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-aggregate_and_proofs) — publishes multiple aggregate and proofs.
* [`POST /eth/v1/validator/beacon_committee_subscriptions`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-beacon_committee_subscriptions) — signals the Beacon node to prepare for a committee subnet.
* [`POST /eth/v1/validator/sync_committee_subscriptions`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-sync_committee_subscriptions) — subscribes to sync committee subnets.
* [`POST /eth/v1/validator/beacon_committee_selections`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-beacon_committee_selections) — determines if a distributed validator has been selected to aggregate attestations.
* [`GET /eth/v1/validator/sync_committee_contribution`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-sync_committee_contribution) — produces a sync committee contribution.
* [`POST /eth/v1/validator/sync_committee_selections`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-sync_committee_selections) — determines if a distributed validator has been selected to make a sync committee contribution.
* [`POST /eth/v1/validator/contribution_and_proofs`](/chains/ethereum-beacon/validator-part-2.md#post-eth-v1-validator-contribution_and_proofs) — publishes multiple contribution and proofs.
* [`POST /eth/v1/validator/prepare_beacon_proposer`](/chains/ethereum-beacon/validator-part-2.md#post-eth-v1-validator-prepare_beacon_proposer) — provides the Beacon node with proposals for the given validators.
* [`POST /eth/v1/validator/register_validator`](/chains/ethereum-beacon/validator-part-2.md#post-eth-v1-validator-register_validator) — provides the Beacon node with registrations for the given validators to the external builder network.
* [`POST /eth/v1/validator/liveness/{epoch}`](/chains/ethereum-beacon/validator-part-2.md#post-eth-v1-validator-liveness-epoch) — indicates if a validator has been observed on the network.

**ValidatorRequiredApi**:

* [`GET /eth/v1/beacon/genesis`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-genesis) — retrieves details of the chain's genesis.
* [`GET /eth/v1/beacon/states/{state_id}/fork`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-fork) — retrieves the Fork object for a requested state.
* [`GET /eth/v1/beacon/states/{state_id}/validators/{validator_id}`](/chains/ethereum-beacon/beacon.md#get-eth-v1-beacon-states-state_id-validators-validator_id) — retrieves the validator from state by ID.
* [`POST /eth/v1/beacon/blocks`](/chains/ethereum-beacon/beacon-part-2.md#post-eth-v1-beacon-blocks) — publishes a signed block.
* [`POST /eth/v2/beacon/blocks`](/chains/ethereum-beacon/validatorrequiredapi.md#post-eth-v2-beacon-blocks) — publishes a signed block.
* [`POST /eth/v1/beacon/blinded_blocks`](/chains/ethereum-beacon/beacon.md#post-eth-v1-beacon-blinded_blocks) — publishes a signed block.
* [`POST /eth/v2/beacon/blinded_blocks`](/chains/ethereum-beacon/beacon-part-2.md#post-eth-v2-beacon-blinded_blocks) — publishes a signed block.
* [`POST /eth/v1/beacon/pool/attestations`](/chains/ethereum-beacon/beacon-part-4.md#post-eth-v1-beacon-pool-attestations) — submits attestation objects to the node.
* [`POST /eth/v1/beacon/pool/sync_committees`](/chains/ethereum-beacon/beacon-part-5.md#post-eth-v1-beacon-pool-sync_committees) — submits sync committee signatures to the node.
* [`GET /eth/v1/node/syncing`](/chains/ethereum-beacon/builder.md#get-eth-v1-node-syncing) — retrieves a node syncing status.
* [`GET /eth/v1/config/spec`](/chains/ethereum-beacon/builder.md#get-eth-v1-config-spec) — retrieves spec parameters.
* [`POST /eth/v1/validator/duties/attester/{epoch}`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-duties-attester-epoch) — retrieves attester duties.
* [`GET /eth/v1/validator/duties/proposer/{epoch}`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-duties-proposer-epoch) — retrieves block proposer duties.
* [`POST /eth/v1/validator/duties/sync/{epoch}`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-duties-sync-epoch) — retrieves sync committee duties.
* [`GET /eth/v3/validator/blocks/{slot}`](/chains/ethereum-beacon/validator.md#get-eth-v3-validator-blocks-slot) — produces a new block, without signature.
* [`GET /eth/v1/validator/attestation_data`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-attestation_data) — produces attestation data.
* [`GET /eth/v1/validator/aggregate_attestation`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-aggregate_attestation) — retrieves aggregated attestation.
* [`POST /eth/v1/validator/aggregate_and_proofs`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-aggregate_and_proofs) — publishes multiple aggregate and proofs.
* [`POST /eth/v1/validator/beacon_committee_subscriptions`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-beacon_committee_subscriptions) — signals the Beacon node to prepare for a committee subnet.
* [`POST /eth/v1/validator/sync_committee_subscriptions`](/chains/ethereum-beacon/validator.md#post-eth-v1-validator-sync_committee_subscriptions) — subscribes to sync committee subnets.
* [`GET /eth/v1/validator/sync_committee_contribution`](/chains/ethereum-beacon/validator.md#get-eth-v1-validator-sync_committee_contribution) — produces a sync committee contribution.
* [`POST /eth/v1/validator/contribution_and_proofs`](/chains/ethereum-beacon/validator-part-2.md#post-eth-v1-validator-contribution_and_proofs) — publishes multiple contribution and proofs.
* [`POST /eth/v1/validator/prepare_beacon_proposer`](/chains/ethereum-beacon/validator-part-2.md#post-eth-v1-validator-prepare_beacon_proposer) — provides the Beacon node with proposals for the given validators.
* [`GET /eth/v1/events`](/chains/ethereum-beacon/builder.md#get-eth-v1-events) — subscribes to Beacon node events.

**Rewards**:

* [`POST /eth/v1/beacon/rewards/sync_committee/{block_id}`](/chains/ethereum-beacon/beacon-part-3.md#post-eth-v1-beacon-rewards-sync_committee-block_id) — retrieves sync committee rewards.
* [`GET /eth/v1/beacon/rewards/blocks/{block_id}`](/chains/ethereum-beacon/beacon-part-3.md#get-eth-v1-beacon-rewards-blocks-block_id) — retrieves sync committee rewards.
* [`POST /eth/v1/beacon/rewards/attestations/{epoch}`](/chains/ethereum-beacon/beacon-part-3.md#post-eth-v1-beacon-rewards-attestations-epoch) — retrieves attestations rewards.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-rpc.crypto-chief.com/chains/ethereum-beacon/methods-supported.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
